package com.muyu.etl.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 dictionary_data
 *
 * @author ruoyi
 * @date 2024-04-24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class DictionaryData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 字典表ID */
    @Excel(name = "字典表ID")
    private Long dictionaryId;

    /** 字典标签 */
    @Excel(name = "字典标签")
    private String label;

    /** 字典值 */
    @Excel(name = "字典值")
    private String val;

    /** 是否修改 */
    @Excel(name = "字典值")
    private Boolean isEdit=false;

}
