package com.muyu.etl.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 source_accredit
 *
 * @author ruoyi
 * @date 2024-04-25
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class SourceAccredit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 数据源id */
    @Excel(name = "数据源id")
    private Long dataSourceId;


    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;
}
