package com.muyu.etl.domain.custom;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @ClassName AssetsModule
 * @Description 描述
 * @Author Xin.Yao
 * @Date 2024/4/21 9:54
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class AssetsModule {
    private HashMap<String, String> structure;
    private List<Map<String, VTClass>> kvtList;

    private List<TableAssets> tableAssets;
    private TableDetail tableDetail;

    public AssetsModule assetsModuleBuilder(List<Map<String, VTClass>> kvtList, HashMap<String, String> map) {
        return AssetsModule.builder()
                .kvtList(kvtList)
                .structure(map)
                .build();
    }
}
