package com.muyu.etl.service.impl;

import com.muyu.common.core.utils.DateUtils;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.etl.domain.AssetModel;
import com.muyu.etl.mapper.AssetModelMapper;
import com.muyu.etl.service.IAssetModelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-22
 */
@Service
public class AssetModelServiceImpl implements IAssetModelService
{
    @Autowired
    private AssetModelMapper assetModelMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public AssetModel selectAssetModelById(Long id)
    {
        return assetModelMapper.selectAssetModelById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param assetModel 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<AssetModel> selectAssetModelList(AssetModel assetModel)
    {
        return assetModelMapper.selectAssetModelList(assetModel);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param assetModel 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertAssetModel(AssetModel assetModel)
    {
        assetModel.setCreateTime(DateUtils.getNowDate());
        return assetModelMapper.insertAssetModel(assetModel);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param assetModel 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateAssetModel(AssetModel assetModel)
    {
        assetModel.setUpdateTime(DateUtils.getNowDate());
        assetModel.setUpdateBy(SecurityUtils.getUsername());
        return assetModelMapper.updateAssetModel(assetModel);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAssetModelByIds(Long[] ids)
    {
        return assetModelMapper.deleteAssetModelByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAssetModelById(Long id)
    {
        return assetModelMapper.deleteAssetModelById(id);
    }
}
