package com.muyu.data.unit;

import com.muyu.rule.model.DataModel;
import com.muyu.rule.scope.DataModelContext;
import com.muyu.rule.scope.model.DataProcessModel;
import org.springframework.stereotype.Component;

/**
 * @ClassName TestClass
 * @Description 描述
 * @Author Xin.Yao
 * @Date 2024/5/13 14:04
 */
@Component
public class TestClass {
    public static void main(String[] args) {
        DataModel dataModel = new DataModel();
        dataModel.setValue("测试");
        dataModel.setKey("string");
        dataModel.setSourceType("varchar");
        dataModel.setProcessType("String");
        dataModel.setProcessClass(String.class);
        DataProcessModel dataProcessModel = new DataProcessModel();
        dataProcessModel.setDataModel(dataModel);
        DataModelContext.set(dataProcessModel);
        TestConstant testConstant = new TestConstant();
        testConstant.execution();
    }
}
