package com.muyu.rule.engine.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 【请填写功能名称】对象 engine_maintenance
 *
 * @author ruoyi
 * @date 2024-05-02
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class EngineMaintenance extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 规则引擎名称 */
    @Excel(name = "规则引擎名称")
    private String name;

    /** 规则引擎类型 */
    @Excel(name = "规则引擎类型")
    private String type;

    /** 规则引擎激活状态 */
    @Excel(name = "规则引擎激活状态")
    private String isActivate;

    /** 规则引擎状态 */
    @Excel(name = "规则引擎状态")
    private String status;

    /** 规则引擎描述 */
    @Excel(name = "规则引擎描述")
    private String description;

    /** 规则引擎编码 */
    @Excel(name = "规则引擎编码")
    private String code;

    /** 规则引擎生成编码 */
    @Excel(name = "规则引擎生成编码")
    private String engineCode;

    /** 规则引擎级别 */
    @Excel(name = "规则引擎级别")
    private String level;

    /** 编辑代码文本 */
    @Excel(name = "编辑代码文本")
    private String codeText;

    /** 规则引擎版本集合 */
    @Excel(name = "编辑代码文本")
    private List<EngineVersion> engineVersionList;

}
