package com.muyu.rule.engine.initialize;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;

/**
 * @ClassName MyRuleEngine
 * @Description 描述
 * @Author Xin.Yao
 * @Date 2024/5/17 下午7:53
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MyRuleEngine {
    private static final HashMap<String,String> ruleEngineMap = new HashMap<>();

    public static String getRuleVersionClassPath(String key){
        return ruleEngineMap.get(key);
    }

    public static void setRuleVersionClassPath(String key,String classPath){
        ruleEngineMap.put(key,classPath);
    }

    public static void removeRuleVersionClassPath(String key){
        ruleEngineMap.remove(key);
    }
}
