package com.muyu.rule.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author: DongZeLiang
 * @date: 2024/5/5
 * @Description: 一页
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DataSetModel {

    // [[DataModel,DataModel,DataModel],[DataModel,DataModel,DataModel]]

    private List<RecordModel> recordModelArr;

    public static DataSetModel build(List<RecordModel> recordModelArr){
        return new DataSetModel(recordModelArr);
    }

}
