package com.muyu.etl.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 【请填写功能名称】对象 dictionary
 *
 * @author ruoyi
 * @date 2024-04-24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class Dictionary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 字典名称 */
    @Excel(name = "字典名称")
    private String dictionaryName;

    /** 字典key */
    @Excel(name = "字典key")
    private String dictionaryKey;

    /** 数据源ID */
    @Excel(name = "数据源ID")
    private Long dataSourceId;

    /** 字典数据集合 */
    @Excel(name = "数据源ID")
    private List<DictionaryData> dictionaryDataList;

}
