package com.muyu.etl.feign;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.common.system.domain.SysUser;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * @ClassName SysUserFeignService
 * @Description 描述
 * @Author Xin.Yao
 * @Date 2024/4/25 16:05
 */
@FeignClient("muyu-system")
public interface SysUserFeignService {
    @GetMapping("/user/list")
    public Result<TableDataInfo<SysUser>> list (SysUser user);
}
