package com.muyu.etl.service.impl;

import com.muyu.common.core.utils.DateUtils;
import com.muyu.etl.domain.DataAsset;
import com.muyu.etl.mapper.DataAssetMapper;
import com.muyu.etl.service.IDataAssetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-22
 */
@Service
public class DataAssetServiceImpl implements IDataAssetService
{
    @Autowired
    private DataAssetMapper dataAssetMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public DataAsset selectDataAssetById(Long id)
    {
        return dataAssetMapper.selectDataAssetById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param dataAsset 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<DataAsset> selectDataAssetList(DataAsset dataAsset)
    {
        return dataAssetMapper.selectDataAssetList(dataAsset);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param dataAsset 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertDataAsset(DataAsset dataAsset)
    {
        dataAsset.setCreateTime(DateUtils.getNowDate());
        return dataAssetMapper.insertDataAsset(dataAsset);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param dataAsset 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateDataAsset(DataAsset dataAsset)
    {
        dataAsset.setUpdateTime(DateUtils.getNowDate());
        return dataAssetMapper.updateDataAsset(dataAsset);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteDataAssetByIds(Long[] ids)
    {
        return dataAssetMapper.deleteDataAssetByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteDataAssetById(Long id)
    {
        return dataAssetMapper.deleteDataAssetById(id);
    }
}
