package com.muyu.etl.service.impl;

import com.muyu.common.core.utils.DateUtils;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.etl.domain.DictionaryData;
import com.muyu.etl.mapper.DictionaryDataMapper;
import com.muyu.etl.service.IDictionaryDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-24
 */
@Service
public class DictionaryDataServiceImpl implements IDictionaryDataService
{
    @Autowired
    private DictionaryDataMapper dictionaryDataMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public DictionaryData selectDictionaryDataById(Long id)
    {
        return dictionaryDataMapper.selectDictionaryDataById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param dictionaryData 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<DictionaryData> selectDictionaryDataList(DictionaryData dictionaryData)
    {
        return dictionaryDataMapper.selectDictionaryDataList(dictionaryData);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param dictionaryData 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertDictionaryData(DictionaryData dictionaryData)
    {
        dictionaryData.setCreateTime(DateUtils.getNowDate());
        dictionaryData.setCreateBy(SecurityUtils.getUsername());
        return dictionaryDataMapper.insertDictionaryData(dictionaryData);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param dictionaryData 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateDictionaryData(DictionaryData dictionaryData)
    {
        dictionaryData.setUpdateTime(DateUtils.getNowDate());
        dictionaryData.setUpdateBy(SecurityUtils.getUsername());
        return dictionaryDataMapper.updateDictionaryData(dictionaryData);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteDictionaryDataByIds(Long[] ids)
    {
        return dictionaryDataMapper.deleteDictionaryDataByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteDictionaryDataById(Long id)
    {
        return dictionaryDataMapper.deleteDictionaryDataById(id);
    }
}
