package com.muyu.data.unit;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * @ClassName MuyuDataUnitApplication
 * @Description 描述
 * @Author Xin.Yao
 * @Date 2024/5/9 15:44
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication(exclude = DataSourceAutoConfiguration.class)
public class MuyuDataUnitApplication {
    public static void main(String[] args) {
        SpringApplication.run(MuyuDataUnitApplication.class, args);
    }
}
