package com.muyu.rule.engine.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 engine_version
 *
 * @author ruoyi
 * @date 2024-05-06
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class EngineVersion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 规则引擎ID */
    @Excel(name = "规则引擎ID")
    private Long engineMaintenanceId;

    /** 引擎版本名称 */
    @Excel(name = "引擎版本名称")
    private String name;

    /** 引擎版本编码 */
    @Excel(name = "引擎版本编码")
    private String code;

    /** 引擎版本状态 */
    @Excel(name = "引擎版本状态")
    private String status;

    /** 引擎版本类 */
    @Excel(name = "引擎版本类")
    private String versionCode;

    /** 引擎版本激活状态 */
    @Excel(name = "引擎版本激活状态")
    private String isActivate;

    /** 引擎版本详情 */
    @Excel(name = "引擎版本详情")
    private String description;

    /** 引擎版本代码 */
    @Excel(name = "引擎版本代码")
    private String codeIng;

    /** 版本测试状态 */
    @Excel(name = "引擎版本代码")
    private String isTest;
}
