package com.muyu.rule.engine.req;

import com.muyu.etl.domain.AssetModel;
import com.muyu.rule.engine.domain.EngineVersion;
import com.muyu.rule.model.DataModel;
import com.muyu.rule.model.DataSetModel;
import com.muyu.rule.model.RecordModel;
import com.muyu.rule.scope.model.DataProcessModel;
import com.muyu.rule.scope.model.DataSetProcessModel;
import com.muyu.rule.scope.model.RecordProcessModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @ClassName TestInterfaceReq
 * @Description 描述
 * @Author Xin.Yao
 * @Date 2024/5/13 20:25
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TestInterfaceReq {
    private DataProcessModel dataProcessModel;
    private RecordProcessModel recordProcessModel;
    private DataSetProcessModel dataSetProcessModel;
    private EngineVersion engineVersion;
    private List<AssetModel> assetModelList;
}
