package com.muyu.rule.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author: DongZeLiang
 * @date: 2024/5/5
 * @Description: 记录模型
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RecordModel {
    // [DataModel,DataModel,DataModel]
    private List<DataModel> dataModelArr;

    public static RecordModel build(List<DataModel> dataModelArr){
        return new RecordModel(dataModelArr);
    }
}
