package com.muyu.rule.engine.service;

import java.util.List;

import com.muyu.common.core.domain.Result;
import com.muyu.rule.engine.domain.EngineMaintenance;
import com.muyu.rule.engine.domain.EngineVersion;
import com.muyu.rule.engine.req.DataSourceAssetModelReq;
import com.muyu.rule.engine.req.TestInterfaceReq;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2024-05-06
 */
public interface IEngineVersionService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public EngineVersion selectEngineVersionById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param engineVersion 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<EngineVersion> selectEngineVersionList(EngineVersion engineVersion);

    /**
     * 新增【请填写功能名称】
     * 
     * @param engineVersion 【请填写功能名称】
     * @return 结果
     */
    public int insertEngineVersion(EngineVersion engineVersion);

    /**
     * 修改【请填写功能名称】
     * 
     * @param engineVersion 【请填写功能名称】
     * @return 结果
     */
    public int updateEngineVersion(EngineVersion engineVersion);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteEngineVersionByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteEngineVersionById(Long id);

    Result generatedCode(EngineVersion engineVersion);

    Result initializeRuleEngine(EngineVersion engineVersion);

    Result getDataRegionList(DataSourceAssetModelReq dataSourceAssetModelReq);

    Result testRuleVersion(TestInterfaceReq testInterfaceReq);
}
